import path from 'path';

var SassAlias = /** @class */ (function () {
    function SassAlias(config) {
        var tmp = {};
        var _loop_1 = function (key, value) {
            var generated = process.cwd();
            if (Array.isArray(value)) {
                value.forEach(function (step) { return (generated = path.join(generated, step)); });
            }
            else {
                generated = path.join(generated, value);
            }
            tmp[key] = generated;
        };
        for (var _i = 0, _a = Object.entries(config); _i < _a.length; _i++) {
            var _b = _a[_i], key = _b[0], value = _b[1];
            _loop_1(key, value);
        }
        this.dict = Object.entries(tmp);
    }
    SassAlias.prototype.resolve = function (absolute) {
        for (var _i = 0, _a = this.dict; _i < _a.length; _i++) {
            var _b = _a[_i], key = _b[0], value = _b[1];
            if (absolute.startsWith(key)) {
                return { file: path.join(value, absolute.substring(key.length)) };
            }
        }
        return null;
    };
    return SassAlias;
}());

export { SassAlias };
//# sourceMappingURL=index.mjs.map
